package com.thinkgem.jeesite.modules.pay.weixin.dto;

public class CommonDto implements java.io.Serializable {
    private String appid; // 微信开放平台审核通过的应用APPID
    private String mch_id; // 微信支付分配的商户号
    private String device_info; // 终端设备号(门店号或收银设备ID)，默认请传"WEB"
    private String nonce_str; // 随机字符串，不长于32位。推荐随机数生成算法
    private String sign; // 签名，详见签名生成算法
    private String sign_type; // 签名，详见签名生成算法
    private String spbill_create_ip; // 签名，详见签名生成算法

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getMch_id() {
        return mch_id;
    }

    public void setMch_id(String mch_id) {
        this.mch_id = mch_id;
    }

    public String getDevice_info() {
        return device_info;
    }

    public void setDevice_info(String device_info) {
        this.device_info = device_info;
    }

    public String getNonce_str() {
        return nonce_str;
    }

    public void setNonce_str(String nonce_str) {
        this.nonce_str = nonce_str;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getSign_type() {
        return sign_type;
    }

    public void setSign_type(String sign_type) {
        this.sign_type = sign_type;
    }

    public String getSpbill_create_ip() {
        return spbill_create_ip;
    }

    public void setSpbill_create_ip(String spbill_create_ip) {
        this.spbill_create_ip = spbill_create_ip;
    }
}
